Board index FlightGear Support Tools ATC-pie

I cannot install ATC-pie on ubuntu Gnome 16.04

ATC-pie is a radar air traffic control simulation program for the FlightGear multi-player network.

I cannot install ATC-pie on ubuntu Gnome 16.04

Postby AviationGaming » Wed Oct 04, 2017 11:17 pm

I have downloaded the tarball, then typed

sudo apt-get install python-pip3

then sudo pip3 install PyQt5

cd Downloads
cd ATC-pie
python3 ATC-pie.py
XDG-runtime_DIR not sent, setting to default
Reading word navigation data... done

and in the configuration I typed in KBOS as airport and it says this when I press start

'ascii' codec can't encode character '\xb0' in position 21: ordinal not in range(128)
I am on Chrubuntu so that may be the problem

Contact me at flightgearfreakyt@gmail.com
AviationGaming
 
Posts: 8
Joined: Wed Oct 04, 2017 11:07 pm

Re: I cannot install ATC-pie on ubuntu Gnome 16.04

Postby CaptB » Thu Oct 05, 2017 6:07 am

Make sure you satisfy the dependencies as described in the README file.
CaptB
 
Posts: 490
Joined: Thu May 23, 2013 6:36 pm
Callsign: EKCH_AP
IRC name: CAPTB
Version: 2018.1
OS: Xubuntu, Win7 64

Re: I cannot install ATC-pie on ubuntu Gnome 16.04

Postby mickybadia » Thu Oct 05, 2017 6:31 am

Your program is definitely installed properly since you are seeing and using the launcher (where it says "welcome").
As I replied to your Youtube comment, this looks like a "degree" symbol in a wrong place, perhaps a file encoding.

Confirm you have copy-pasted *ALL* of the console output here? It seems strange that you would get only this error message with Python, and not a full traceback. The full traceback would allow easy diagnosis.
mickybadia
 
Posts: 397
Joined: Tue Sep 24, 2013 9:12 am

Re: I cannot install ATC-pie on ubuntu Gnome 16.04

Postby mickybadia » Thu Oct 05, 2017 9:28 pm

Try downloading today's new version 1.4.0. It relies less on the default system encoding. I think you had an unusual default encoding scheme on your system for some reason, and that 1.4.0 might work better.
mickybadia
 
Posts: 397
Joined: Tue Sep 24, 2013 9:12 am

Re: I cannot install ATC-pie on ubuntu Gnome 16.04

Postby AviationGaming » Sat Oct 07, 2017 9:10 pm

I downloaded all the speech recognition, and the new update, and nothing seems to work. What if I try from the Navpoint side? What is the location code for KBOS? How do you input the CTR mode?
AviationGaming
 
Posts: 8
Joined: Wed Oct 04, 2017 11:07 pm

Re: I cannot install ATC-pie on ubuntu Gnome 16.04

Postby mickybadia » Mon Oct 09, 2017 4:01 pm

About "the issue": FU2 here.

As for the other questions:
AviationGaming wrote in Sat Oct 07, 2017 9:10 pm:What is the location code for KBOS? How do you input the CTR mode?

Answer here.
mickybadia
 
Posts: 397
Joined: Tue Sep 24, 2013 9:12 am


Return to ATC-pie

Who is online

Users browsing this forum: No registered users and 1 guest

cron